aurora-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Joe Smith (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AURORA-529) pants is broken
Date Sun, 15 Jun 2014 21:39:01 GMT

    [ https://issues.apache.org/jira/browse/AURORA-529?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=14032027#comment-14032027
] 

Joe Smith commented on AURORA-529:
----------------------------------

and rightly so.. needed to update ./pants as well.

{noformat}
19:18:32 incubator-aurora $ git diff
diff --git a/pants b/pants
index ee31eec..0201022 100755
--- a/pants
+++ b/pants
@@ -17,7 +17,7 @@ set -o nounset
 
 HERE=$(cd `dirname "${BASH_SOURCE[0]}"` && pwd)
 
-PANTS_VERSION=0.0.23
+PANTS_VERSION=ace526e2840e2f22512c2f6fba4e802130f3466f
 if ! [[ -e "$HERE/build-support/pants-$PANTS_VERSION.pex" ]]; then
   echo "Building pants.pex @ $PANTS_VERSION"
   "$HERE/build-support/pex" \
{noformat}

Also, here's what caused the unicode issues earlier: https://reviews.apache.org/r/22611/

> pants is broken
> ---------------
>
>                 Key: AURORA-529
>                 URL: https://issues.apache.org/jira/browse/AURORA-529
>             Project: Aurora
>          Issue Type: Bug
>            Reporter: Joe Smith
>            Assignee: Joe Smith
>            Priority: Blocker
>
> {noformat}
> [tw-mbp13-jsmith aurora (master)]$ ./pants ./src/test/python/apache/aurora/admin:all
> Build operating on targets: OrderedSet([PythonTestSuite(src/test/python/apache/aurora/admin/BUILD:all)])
> Failed to run test!
> Traceback (most recent call last):
>   File "/Users/jsmith/.pex/install/twitter.pants-0.0.23-py2-none-any.whl.acd44f4c0cf3576608ff18b2adafeff6f0b8f65f/twitter.pants-0.0.23-py2-none-any.whl/twitter/pants/python/test_builder.py",
line 204, in _run_python_test
>     builder = chroot.dump()
>   File "/Users/jsmith/.pex/install/twitter.pants-0.0.23-py2-none-any.whl.acd44f4c0cf3576608ff18b2adafeff6f0b8f65f/twitter.pants-0.0.23-py2-none-any.whl/twitter/pants/python/python_chroot.py",
line 201, in dump
>     platforms=platforms)
>   File "/Users/jsmith/.pex/install/twitter.pants-0.0.23-py2-none-any.whl.acd44f4c0cf3576608ff18b2adafeff6f0b8f65f/twitter.pants-0.0.23-py2-none-any.whl/twitter/pants/python/resolver.py",
line 109, in resolve_multi
>     platform=platform)
>   File "/Users/jsmith/.pex/install/twitter.common.python-0.5.6-py2-none-any.whl.966710ef4887d077b27ee1d9cc3725372604d0ef/twitter.common.python-0.5.6-py2-none-any.whl/twitter/common/python/resolver.py",
line 98, in resolve
>     raise Unsatisfiable('Cannot satisfy requirements: %s' % requirement_set[requirement.key])
> Unsatisfiable: Cannot satisfy requirements: [PythonRequirement(coverage==3.6b1), Requirement.parse('coverage>=3.6')]
> src.test.python.apache.aurora.admin.host_maintenance                            .....
EXCEPTION
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message